Issue926

Title Support for Gurobi
Priority feature Status in-progress
Superseder Nosy List florian, jendrik, malte
Assigned To florian Keywords
Optional summary
Try again with OSI 0.108.5

Created on 2019-06-28.18:26:32 by florian, last changed by florian.

Summary
Try again with OSI 0.108.5
Messages
msg8958 (view) Author: florian Date: 2019-08-10.00:16:39
> > It would also be interesting to test if the objective sense workaround
> > for Soplex is still necessary.
>
> The relevant issue is issue752.

Yes, the SoPlex issue was resolved in this version as well. I modified the comment.
msg8950 (view) Author: malte Date: 2019-08-07.11:27:41
> It would also be interesting to test if the objective sense workaround
> for Soplex is still necessary.

The relevant issue is issue752.
msg8949 (view) Author: malte Date: 2019-08-07.11:27:00
Is there a way of testing the OSI version inside the planner and abort if people select Gurobi with an OSI version that is not recent enough?

Unfortunately, I think a new OSI issue should mean new experiments with *all* LP solvers. We've been bitten in the past.

It would also be interesting to test if the objective sense workaround for Soplex is still necessary. If not, I would still leave it in (for old OSI users), but update the comment to say that this is fixed OSI 0.108.5.
msg8947 (view) Author: florian Date: 2019-08-07.11:08:05
That was quick. OSI 0.108.5 fixes the issue. I'll set up a new experiment when I
get around to installing the new OSI version.
msg8946 (view) Author: florian Date: 2019-08-05.23:13:36
There is another issue with testing this: the OSI interface to Gurobi has a bug
that causes Gurobi to crash when an LP is reloaded
(https://github.com/coin-or/Osi/issues/124). This doesn't affect
operator-counting heuristics that modify the LP instead of reloading it, but it
does affect the optimal landmark heuristics.

There is a simple fix but if we want to advertise Gurobi as a supported solver,
we should wait until that fix makes it into the next OSI release.
msg8933 (view) Author: florian Date: 2019-06-28.18:26:32
When working on issue752 and issue925, I remembered that we now have a Gurobi
module on the grid. So far our local licenses only supported a single concurrent
run, so we were never able to run experiments with Gurobi and treated it as
untested/use-at-your-own-risk. Now we can actually write a find script for it
and test it.
History
Date User Action Args
2019-08-10 00:16:39floriansetmessages: + msg8958
2019-08-07 11:27:41maltesetmessages: + msg8950
2019-08-07 11:27:00maltesetmessages: + msg8949
2019-08-07 11:08:05floriansetmessages: + msg8947
summary: Wait for https://github.com/coin-or/Osi/issues/124 to be merged in a tagged release. -> Try again with OSI 0.108.5
2019-08-05 23:13:36floriansetmessages: + msg8946
summary: Wait for https://github.com/coin-or/Osi/issues/124 to be merged in a tagged release.
2019-06-28 18:26:32floriancreate